---
updatedAt: 2025-05-22T20:27:13.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Token Onchain Summary by ID

The Get Token Holder Distribution by Id API allows you to easily fetch the token holder distribution

## Definition

This endpoint retrieves an onchain summary of a specified token identified by its unique token ID. Users can query various onchain metrics and details related to the token using the provided token ID parameter.

## Query Parameters

For guidance on how to leverage this method, check out the following tutorials:

* **token\_id** (string): The unique identifier of the token for which onchain summary information is requested.

## Response

The response will include a JSON object containing onchain summary metrics for the specified token. This may include details such as total supply, circulating supply, and other relevant onchain data.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/token/onchain/summary": {
      "get": {
        "summary": "Get Token Onchain Summary by ID",
        "description": "The Get Token Holder Distribution by Id API allows you to easily fetch the token holder distribution",
        "operationId": "get-token-onchain-summary",
        "parameters": [
          {
            "name": "token_id",
            "in": "query",
            "description": "String - Defines the symbol",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Succeed": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"holder\": 5632815,\n    \"liquidity\": 1333189245.027984,\n    \"cex_dex\": 15917908785.3465,\n    \"trades\": 29918,\n    \"volume\": 455869842.65828854\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "holder": {
                          "type": "integer",
                          "example": 5632815,
                          "default": 0
                        },
                        "liquidity": {
                          "type": "number",
                          "example": 1333189245.027984,
                          "default": 0
                        },
                        "cex_dex": {
                          "type": "number",
                          "example": 15917908785.3465,
                          "default": 0
                        },
                        "trades": {
                          "type": "integer",
                          "example": 29918,
                          "default": 0
                        },
                        "volume": {
                          "type": "number",
                          "example": 455869842.65828854,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```